Win a copy of Mesos in Action this week in the Cloud/Virtualizaton forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Java Plug-in

 
L Goundalkar
Ranch Hand
Posts: 395
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all..
"Java Plug-in software enables enterprise customers to direct applets or JavaBeansTM on their intranet web pages to run using Sun's Java 2 Runtime Environment, Standard Edition (JRE) instead of the web browser's default virtual machine."
I have following doubts..
1. When I am using the jsp :p lgin, does this plug-in download everytime I visit the page?
2. What happen's if I have JRE ( not browser JVM )installed on the client system which is of lower version.
3. What happens if it is of higer version.
Thanks a lot for the time.
[ August 13, 2002: Message edited by: L Goundalkar ]
 
Marilyn de Queiroz
Sheriff
Posts: 9063
12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by L Goundalkar:
I have following doubts..
1. When I am using the jsp lgin, does this plug-in download everytime I visit the page?


It normally downloads only one time, the first time the client goes to the page that requests it.

After that it is stored on the client's computer and is dormant until the client goes to the page that requires at which time it loads and begins to run automatically with no interaction from the client.

2. What happen's if I have JRE ( not browser JVM )installed on the client system which is of lower version.

It works with the browser's JVM, not the JVM/JRE installed separately.

3. What happens if it is of higer version.
Depends on the html/jsp page that calls for the plug-in. It is configurable. If it is lower, it may or may not run without downloading the specific plug-in depending on what you have required. If it is higher, it will request the client to download the required plug-in.
 
L Goundalkar
Ranch Hand
Posts: 395
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
So you mean to say,
When I use jsp lugin tag, the first time it compulsorily download the plug-in and install it on the client.
Then onwards it will check for the client JRE and if it is of lower version it will download and install the newer one on the client.
So in any of the cases it will not run in Browsers JVM. Right??
Thanks for the time.
 
Marilyn de Queiroz
Sheriff
Posts: 9063
12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Right. See more here
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic